Loading...
Searching...
No Matches
Opm::GIE::FaceIterator< GridInterface > Class Template Reference

Intersection (face) iterator for solver-near grid interface. More...

`#include <GridInterfaceEuler.hpp>`

Inheritance diagram for Opm::GIE::FaceIterator< GridInterface >:

## Public Types

typedef Face< GridInterface >::DuneIntersectionIter | DuneIntersectionIter
| Type of low-level intersection iterator.
Public Types inherited from Opm::GIE::Face< GridInterface >
enum |
typedef GridInterface::DuneIntersectionIterator | DuneIntersectionIter
typedef GridInterface::GridType::Traits::template Codim< 0 >::Entity | CellPtr
typedef GridInterface::GridType::ctype | Scalar
typedef Dune::FieldVector< Scalar, GridInterface::GridType::dimension > | Vector
typedef Dune::FieldVector< Scalar, GridInterface::GridType::dimension-1 > | LocalVector
typedef int | Index
typedef GIE::Cell< GridInterface, CellPtr > | Cell

## Public Member Functions

| FaceIterator ()
| Default constructor.
| FaceIterator (const GridInterface &grid, const DuneIntersectionIter &it, const int local_index)
| Constructor.
const FaceIterator & | dereference () const
| Used by iterator facade.
bool | equal (const FaceIterator &other) const
| Used by iterator facade.
void | increment ()
| Used by iterator facade.
bool | operator< (const FaceIterator &other) const
| Gives an ordering of intersectionIterators.
Public Member Functions inherited from Opm::GIE::Face< GridInterface >
| Face (const GridInterface &grid, const DuneIntersectionIter &it, const Index loc_ind)
Scalar | area () const
Vector | centroid () const
Vector | normal () const
bool | boundary () const
int | boundaryId () const
Cell | cell () const
Index | cellIndex () const
Cell | neighbourCell () const
Index | neighbourCellIndex () const
Index | index () const
Index | localIndex () const
Scalar | neighbourCellVolume () const

## Additional Inherited Members

Protected Attributes inherited from Opm::GIE::Face< GridInterface >
const GridInterface * | pgrid_
DuneIntersectionIter | iter_
Index | local_index_

## Detailed Description

template<class GridInterface>
class Opm::GIE::FaceIterator< GridInterface >

Intersection (face) iterator for solver-near grid interface.

Template Parameters

  GridInterface | Interface to a Dune grid (e.g., Dune::CpGrid).

## Member Typedef Documentation

## DuneIntersectionIter

template<class GridInterface>

typedef Face<GridInterface>::DuneIntersectionIter Opm::GIE::FaceIterator< GridInterface >::DuneIntersectionIter

Type of low-level intersection iterator.

Copied from the Dune grid.

## Constructor & Destructor Documentation

## FaceIterator()

template<class GridInterface>

Opm::GIE::FaceIterator< GridInterface >::FaceIterator | ( | const GridInterface & | grid,
|  | const DuneIntersectionIter & | it,
|  | const int | local_index )

inline

Constructor.

Parameters

  [in] | grid | An interface to a Dune grid.
  [in] | it | A dune intersection iterator.
  [in] | local_index | Local index (number) of this intersection within the encompassing entity (cell).

The documentation for this class was generated from the following file:

- opm/porsol/common/GridInterfaceEuler.hpp